org.eclipse.viatra.cep.core.metamodels.automaton

## Interface AutomatonPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AutomatonPackageImpl

      public interface AutomatonPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `AutomatonFactory`
  Generated:
  Model:
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore settingDelegates='org.eclipse.viatra.query.querybasedfeature'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AutomatonPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTOMATON` The meta object id for the '`Automaton`' class.
    `static int` | `AUTOMATON__EVENT_PATTERN_ID` The feature id for the 'Event Pattern Id' attribute.
    `static int` | `AUTOMATON__EVENT_TOKENS` The feature id for the 'Event Tokens' containment reference list.
    `static int` | `AUTOMATON__FINAL_STATES` The feature id for the 'Final States' reference list.
    `static int` | `AUTOMATON__INITIAL_STATE` The feature id for the 'Initial State' reference.
    `static int` | `AUTOMATON__STATES` The feature id for the 'States' containment reference list.
    `static int` | `AUTOMATON__TIMED_ZONES` The feature id for the 'Timed Zones' containment reference list.
    `static int` | `AUTOMATON__TRAP_STATE` The feature id for the 'Trap State' reference.
    `static int` | `AUTOMATON_FEATURE_COUNT` The number of structural features of the 'Automaton' class.
    `static int` | `AUTOMATON_OPERATION_COUNT` The number of operations of the 'Automaton' class.
    `static AutomatonPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `EPSILON_TRANSITION` The meta object id for the '`Epsilon Transition`' class.
    `static int` | `EPSILON_TRANSITION__POST_STATE` The feature id for the 'Post State' reference.
    `static int` | `EPSILON_TRANSITION__PRE_STATE` The feature id for the 'Pre State' container reference.
    `static int` | `EPSILON_TRANSITION_FEATURE_COUNT` The number of structural features of the 'Epsilon Transition' class.
    `static int` | `EPSILON_TRANSITION_OPERATION_COUNT` The number of operations of the 'Epsilon Transition' class.
    `static int` | `EVENT_CONTEXT` The meta object id for the '`Event Context`' enum.
    `static int` | `EVENT_TOKEN` The meta object id for the '`Event Token`' class.
    `static int` | `EVENT_TOKEN__CURRENT_STATE` The feature id for the 'Current State' reference.
    `static int` | `EVENT_TOKEN__LAST_PROCESSED` The feature id for the 'Last Processed' reference.
    `static int` | `EVENT_TOKEN__PARAMETER_TABLE` The feature id for the 'Parameter Table' containment reference.
    `static int` | `EVENT_TOKEN__RECORDED_EVENTS` The feature id for the 'Recorded Events' reference list.
    `static int` | `EVENT_TOKEN__TIMED_ZONES` The feature id for the 'Timed Zones' reference list.
    `static int` | `EVENT_TOKEN_FEATURE_COUNT` The number of structural features of the 'Event Token' class.
    `static int` | `EVENT_TOKEN_OPERATION_COUNT` The number of operations of the 'Event Token' class.
    `static int` | `FINAL_STATE` The meta object id for the '`Final State`' class.
    `static int` | `FINAL_STATE__EVENT_TOKENS` The feature id for the 'Event Tokens' reference list.
    `static int` | `FINAL_STATE__IN_STATE_OF` The feature id for the 'In State Of' reference list.
    `static int` | `FINAL_STATE__IN_TRANSITIONS` The feature id for the 'In Transitions' reference list.
    `static int` | `FINAL_STATE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `FINAL_STATE__LAST_PROCESSED_EVENT` The feature id for the 'Last Processed Event' reference.
    `static int` | `FINAL_STATE__OUT_STATE_OF` The feature id for the 'Out State Of' reference list.
    `static int` | `FINAL_STATE__OUT_TRANSITIONS` The feature id for the 'Out Transitions' containment reference list.
    `static int` | `FINAL_STATE_FEATURE_COUNT` The number of structural features of the 'Final State' class.
    `static int` | `FINAL_STATE_OPERATION_COUNT` The number of operations of the 'Final State' class.
    `static int` | `GUARD` The meta object id for the '`Guard`' class.
    `static int` | `GUARD__EVENT_TYPE` The feature id for the 'Event Type' reference.
    `static int` | `GUARD__TRANSITION` The feature id for the 'Transition' container reference.
    `static int` | `GUARD_FEATURE_COUNT` The number of structural features of the 'Guard' class.
    `static int` | `GUARD_OPERATION_COUNT` The number of operations of the 'Guard' class.
    `static int` | `HOLDS_FOR` The meta object id for the '`Holds For`' class.
    `static int` | `HOLDS_FOR__IN_STATE` The feature id for the 'In State' reference.
    `static int` | `HOLDS_FOR__OUT_STATE` The feature id for the 'Out State' reference.
    `static int` | `HOLDS_FOR__TIME` The feature id for the 'Time' attribute.
    `static int` | `HOLDS_FOR_FEATURE_COUNT` The number of structural features of the 'Holds For' class.
    `static int` | `HOLDS_FOR_OPERATION_COUNT` The number of operations of the 'Holds For' class.
    `static int` | `INIT_STATE` The meta object id for the '`Init State`' class.
    `static int` | `INIT_STATE__EVENT_TOKENS` The feature id for the 'Event Tokens' reference list.
    `static int` | `INIT_STATE__IN_STATE_OF` The feature id for the 'In State Of' reference list.
    `static int` | `INIT_STATE__IN_TRANSITIONS` The feature id for the 'In Transitions' reference list.
    `static int` | `INIT_STATE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `INIT_STATE__LAST_PROCESSED_EVENT` The feature id for the 'Last Processed Event' reference.
    `static int` | `INIT_STATE__OUT_STATE_OF` The feature id for the 'Out State Of' reference list.
    `static int` | `INIT_STATE__OUT_TRANSITIONS` The feature id for the 'Out Transitions' containment reference list.
    `static int` | `INIT_STATE_FEATURE_COUNT` The number of structural features of the 'Init State' class.
    `static int` | `INIT_STATE_OPERATION_COUNT` The number of operations of the 'Init State' class.
    `static int` | `INTERNAL_MODEL` The meta object id for the '`Internal Model`' class.
    `static int` | `INTERNAL_MODEL__AUTOMATA` The feature id for the 'Automata' containment reference list.
    `static int` | `INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT` The feature id for the 'Enabled For The Latest Event' reference list.
    `static int` | `INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL` The feature id for the 'Event Tokens In Model' reference list.
    `static int` | `INTERNAL_MODEL__LATEST_EVENT` The feature id for the 'Latest Event' containment reference.
    `static int` | `INTERNAL_MODEL_FEATURE_COUNT` The number of structural features of the 'Internal Model' class.
    `static int` | `INTERNAL_MODEL_OPERATION_COUNT` The number of operations of the 'Internal Model' class.
    `static int` | `NEGATIVE_TRANSITION` The meta object id for the '`Negative Transition`' class.
    `static int` | `NEGATIVE_TRANSITION__GUARDS` The feature id for the 'Guards' containment reference list.
    `static int` | `NEGATIVE_TRANSITION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `NEGATIVE_TRANSITION__POST_STATE` The feature id for the 'Post State' reference.
    `static int` | `NEGATIVE_TRANSITION__PRE_STATE` The feature id for the 'Pre State' container reference.
    `static int` | `NEGATIVE_TRANSITION_FEATURE_COUNT` The number of structural features of the 'Negative Transition' class.
    `static int` | `NEGATIVE_TRANSITION_OPERATION_COUNT` The number of operations of the 'Negative Transition' class.
    `static int` | `PARAMETER` The meta object id for the '`Parameter`' class.
    `static int` | `PARAMETER__POSITION` The feature id for the 'Position' attribute.
    `static int` | `PARAMETER__SYMBOLIC_NAME` The feature id for the 'Symbolic Name' attribute.
    `static int` | `PARAMETER__TRANSITION` The feature id for the 'Transition' container reference.
    `static int` | `PARAMETER_BINDING` The meta object id for the '`Parameter Binding`' class.
    `static int` | `PARAMETER_BINDING__PARAMETER_TABLE` The feature id for the 'Parameter Table' container reference.
    `static int` | `PARAMETER_BINDING__SYMBOLIC_NAME` The feature id for the 'Symbolic Name' attribute.
    `static int` | `PARAMETER_BINDING__VALUE` The feature id for the 'Value' attribute.
    `static int` | `PARAMETER_BINDING_FEATURE_COUNT` The number of structural features of the 'Parameter Binding' class.
    `static int` | `PARAMETER_BINDING_OPERATION_COUNT` The number of operations of the 'Parameter Binding' class.
    `static int` | `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class.
    `static int` | `PARAMETER_OPERATION_COUNT` The number of operations of the 'Parameter' class.
    `static int` | `PARAMETER_TABLE` The meta object id for the '`Parameter Table`' class.
    `static int` | `PARAMETER_TABLE__EVENT_TOKEN` The feature id for the 'Event Token' container reference.
    `static int` | `PARAMETER_TABLE__PARAMETER_BINDINGS` The feature id for the 'Parameter Bindings' containment reference list.
    `static int` | `PARAMETER_TABLE_FEATURE_COUNT` The number of structural features of the 'Parameter Table' class.
    `static int` | `PARAMETER_TABLE_OPERATION_COUNT` The number of operations of the 'Parameter Table' class.
    `static int` | `STATE` The meta object id for the '`State`' class.
    `static int` | `STATE__EVENT_TOKENS` The feature id for the 'Event Tokens' reference list.
    `static int` | `STATE__IN_STATE_OF` The feature id for the 'In State Of' reference list.
    `static int` | `STATE__IN_TRANSITIONS` The feature id for the 'In Transitions' reference list.
    `static int` | `STATE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `STATE__LAST_PROCESSED_EVENT` The feature id for the 'Last Processed Event' reference.
    `static int` | `STATE__OUT_STATE_OF` The feature id for the 'Out State Of' reference list.
    `static int` | `STATE__OUT_TRANSITIONS` The feature id for the 'Out Transitions' containment reference list.
    `static int` | `STATE_FEATURE_COUNT` The number of structural features of the 'State' class.
    `static int` | `STATE_OPERATION_COUNT` The number of operations of the 'State' class.
    `static int` | `TIMED_ZONE` The meta object id for the '`Timed Zone`' class.
    `static int` | `TIMED_ZONE__IN_STATE` The feature id for the 'In State' reference.
    `static int` | `TIMED_ZONE__OUT_STATE` The feature id for the 'Out State' reference.
    `static int` | `TIMED_ZONE__TIME` The feature id for the 'Time' attribute.
    `static int` | `TIMED_ZONE_FEATURE_COUNT` The number of structural features of the 'Timed Zone' class.
    `static int` | `TIMED_ZONE_OPERATION_COUNT` The number of operations of the 'Timed Zone' class.
    `static int` | `TRANSITION` The meta object id for the '`Transition`' class.
    `static int` | `TRANSITION__POST_STATE` The feature id for the 'Post State' reference.
    `static int` | `TRANSITION__PRE_STATE` The feature id for the 'Pre State' container reference.
    `static int` | `TRANSITION_FEATURE_COUNT` The number of structural features of the 'Transition' class.
    `static int` | `TRANSITION_OPERATION_COUNT` The number of operations of the 'Transition' class.
    `static int` | `TRAP_STATE` The meta object id for the '`Trap State`' class.
    `static int` | `TRAP_STATE__EVENT_TOKENS` The feature id for the 'Event Tokens' reference list.
    `static int` | `TRAP_STATE__IN_STATE_OF` The feature id for the 'In State Of' reference list.
    `static int` | `TRAP_STATE__IN_TRANSITIONS` The feature id for the 'In Transitions' reference list.
    `static int` | `TRAP_STATE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `TRAP_STATE__LAST_PROCESSED_EVENT` The feature id for the 'Last Processed Event' reference.
    `static int` | `TRAP_STATE__OUT_STATE_OF` The feature id for the 'Out State Of' reference list.
    `static int` | `TRAP_STATE__OUT_TRANSITIONS` The feature id for the 'Out Transitions' containment reference list.
    `static int` | `TRAP_STATE_FEATURE_COUNT` The number of structural features of the 'Trap State' class.
    `static int` | `TRAP_STATE_OPERATION_COUNT` The number of operations of the 'Trap State' class.
    `static int` | `TYPED_TRANSITION` The meta object id for the '`Typed Transition`' class.
    `static int` | `TYPED_TRANSITION__GUARDS` The feature id for the 'Guards' containment reference list.
    `static int` | `TYPED_TRANSITION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `TYPED_TRANSITION__POST_STATE` The feature id for the 'Post State' reference.
    `static int` | `TYPED_TRANSITION__PRE_STATE` The feature id for the 'Pre State' container reference.
    `static int` | `TYPED_TRANSITION_FEATURE_COUNT` The number of structural features of the 'Typed Transition' class.
    `static int` | `TYPED_TRANSITION_OPERATION_COUNT` The number of operations of the 'Typed Transition' class.
    `static int` | `WITHIN` The meta object id for the '`Within`' class.
    `static int` | `WITHIN__IN_STATE` The feature id for the 'In State' reference.
    `static int` | `WITHIN__OUT_STATE` The feature id for the 'Out State' reference.
    `static int` | `WITHIN__TIME` The feature id for the 'Time' attribute.
    `static int` | `WITHIN_FEATURE_COUNT` The number of structural features of the 'Within' class.
    `static int` | `WITHIN_OPERATION_COUNT` The number of operations of the 'Within' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getAutomaton_EventPatternId()` Returns the meta object for the attribute '`Event Pattern Id`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_EventTokens()` Returns the meta object for the containment reference list '`Event Tokens`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_FinalStates()` Returns the meta object for the reference list '`Final States`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_InitialState()` Returns the meta object for the reference '`Initial State`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_States()` Returns the meta object for the containment reference list '`States`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_TimedZones()` Returns the meta object for the containment reference list '`Timed Zones`'.
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_TrapState()` Returns the meta object for the reference '`Trap State`'.
    `org.eclipse.emf.ecore.EClass` | `getAutomaton()` Returns the meta object for class '`Automaton`'.
    `AutomatonFactory` | `getAutomatonFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EClass` | `getEpsilonTransition()` Returns the meta object for class '`Epsilon Transition`'.
    `org.eclipse.emf.ecore.EEnum` | `getEventContext()` Returns the meta object for enum '`Event Context`'.
    `org.eclipse.emf.ecore.EReference` | `getEventToken_CurrentState()` Returns the meta object for the reference '`Current State`'.
    `org.eclipse.emf.ecore.EReference` | `getEventToken_LastProcessed()` Returns the meta object for the reference '`Last Processed`'.
    `org.eclipse.emf.ecore.EReference` | `getEventToken_ParameterTable()` Returns the meta object for the containment reference '`Parameter Table`'.
    `org.eclipse.emf.ecore.EReference` | `getEventToken_RecordedEvents()` Returns the meta object for the reference list '`Recorded Events`'.
    `org.eclipse.emf.ecore.EReference` | `getEventToken_TimedZones()` Returns the meta object for the reference list '`Timed Zones`'.
    `org.eclipse.emf.ecore.EClass` | `getEventToken()` Returns the meta object for class '`Event Token`'.
    `org.eclipse.emf.ecore.EClass` | `getFinalState()` Returns the meta object for class '`Final State`'.
    `org.eclipse.emf.ecore.EReference` | `getGuard_EventType()` Returns the meta object for the reference '`Event Type`'.
    `org.eclipse.emf.ecore.EReference` | `getGuard_Transition()` Returns the meta object for the container reference '`Transition`'.
    `org.eclipse.emf.ecore.EClass` | `getGuard()` Returns the meta object for class '`Guard`'.
    `org.eclipse.emf.ecore.EClass` | `getHoldsFor()` Returns the meta object for class '`Holds For`'.
    `org.eclipse.emf.ecore.EClass` | `getInitState()` Returns the meta object for class '`Init State`'.
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_Automata()` Returns the meta object for the containment reference list '`Automata`'.
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_EnabledForTheLatestEvent()` Returns the meta object for the reference list '`Enabled For The Latest Event`'.
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_EventTokensInModel()` Returns the meta object for the reference list '`Event Tokens In Model`'.
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_LatestEvent()` Returns the meta object for the containment reference '`Latest Event`'.
    `org.eclipse.emf.ecore.EClass` | `getInternalModel()` Returns the meta object for class '`Internal Model`'.
    `org.eclipse.emf.ecore.EClass` | `getNegativeTransition()` Returns the meta object for class '`Negative Transition`'.
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_Position()` Returns the meta object for the attribute '`Position`'.
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_SymbolicName()` Returns the meta object for the attribute '`Symbolic Name`'.
    `org.eclipse.emf.ecore.EReference` | `getParameter_Transition()` Returns the meta object for the container reference '`Transition`'.
    `org.eclipse.emf.ecore.EClass` | `getParameter()` Returns the meta object for class '`Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterBinding_ParameterTable()` Returns the meta object for the container reference '`Parameter Table`'.
    `org.eclipse.emf.ecore.EAttribute` | `getParameterBinding_SymbolicName()` Returns the meta object for the attribute '`Symbolic Name`'.
    `org.eclipse.emf.ecore.EAttribute` | `getParameterBinding_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterBinding()` Returns the meta object for class '`Parameter Binding`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterTable_EventToken()` Returns the meta object for the container reference '`Event Token`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterTable_ParameterBindings()` Returns the meta object for the containment reference list '`Parameter Bindings`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterTable()` Returns the meta object for class '`Parameter Table`'.
    `org.eclipse.emf.ecore.EReference` | `getState_EventTokens()` Returns the meta object for the reference list '`Event Tokens`'.
    `org.eclipse.emf.ecore.EReference` | `getState_InStateOf()` Returns the meta object for the reference list '`In State Of`'.
    `org.eclipse.emf.ecore.EReference` | `getState_InTransitions()` Returns the meta object for the reference list '`In Transitions`'.
    `org.eclipse.emf.ecore.EAttribute` | `getState_Label()` Returns the meta object for the attribute '`Label`'.
    `org.eclipse.emf.ecore.EReference` | `getState_LastProcessedEvent()` Returns the meta object for the reference '`Last Processed Event`'.
    `org.eclipse.emf.ecore.EReference` | `getState_OutStateOf()` Returns the meta object for the reference list '`Out State Of`'.
    `org.eclipse.emf.ecore.EReference` | `getState_OutTransitions()` Returns the meta object for the containment reference list '`Out Transitions`'.
    `org.eclipse.emf.ecore.EClass` | `getState()` Returns the meta object for class '`State`'.
    `org.eclipse.emf.ecore.EReference` | `getTimedZone_InState()` Returns the meta object for the reference '`In State`'.
    `org.eclipse.emf.ecore.EReference` | `getTimedZone_OutState()` Returns the meta object for the reference '`Out State`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimedZone_Time()` Returns the meta object for the attribute '`Time`'.
    `org.eclipse.emf.ecore.EClass` | `getTimedZone()` Returns the meta object for class '`Timed Zone`'.
    `org.eclipse.emf.ecore.EReference` | `getTransition_PostState()` Returns the meta object for the reference '`Post State`'.
    `org.eclipse.emf.ecore.EReference` | `getTransition_PreState()` Returns the meta object for the container reference '`Pre State`'.
    `org.eclipse.emf.ecore.EClass` | `getTransition()` Returns the meta object for class '`Transition`'.
    `org.eclipse.emf.ecore.EClass` | `getTrapState()` Returns the meta object for class '`Trap State`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedTransition_Guards()` Returns the meta object for the containment reference list '`Guards`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedTransition_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getTypedTransition()` Returns the meta object for class '`Typed Transition`'.
    `org.eclipse.emf.ecore.EClass` | `getWithin()` Returns the meta object for class '`Within`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final AutomatonPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### INTERNAL_MODEL

          static final int INTERNAL_MODEL

      The meta object id for the '`Internal Model`' class.
      See Also:
        `InternalModelImpl`, `AutomatonPackageImpl.getInternalModel()`, Constant Field Values
      Generated:

    - #### INTERNAL_MODEL__AUTOMATA

          static final int INTERNAL_MODEL__AUTOMATA

      The feature id for the 'Automata' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INTERNAL_MODEL__LATEST_EVENT

          static final int INTERNAL_MODEL__LATEST_EVENT

      The feature id for the 'Latest Event' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT

          static final int INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT

      The feature id for the 'Enabled For The Latest Event' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL

          static final int INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL

      The feature id for the 'Event Tokens In Model' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INTERNAL_MODEL_FEATURE_COUNT

          static final int INTERNAL_MODEL_FEATURE_COUNT

      The number of structural features of the 'Internal Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INTERNAL_MODEL_OPERATION_COUNT

          static final int INTERNAL_MODEL_OPERATION_COUNT

      The number of operations of the 'Internal Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON

          static final int AUTOMATON

      The meta object id for the '`Automaton`' class.
      See Also:
        `AutomatonImpl`, `AutomatonPackageImpl.getAutomaton()`, Constant Field Values
      Generated:

    - #### AUTOMATON__STATES

          static final int AUTOMATON__STATES

      The feature id for the 'States' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__EVENT_PATTERN_ID

          static final int AUTOMATON__EVENT_PATTERN_ID

      The feature id for the 'Event Pattern Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__EVENT_TOKENS

          static final int AUTOMATON__EVENT_TOKENS

      The feature id for the 'Event Tokens' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__TIMED_ZONES

          static final int AUTOMATON__TIMED_ZONES

      The feature id for the 'Timed Zones' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__INITIAL_STATE

          static final int AUTOMATON__INITIAL_STATE

      The feature id for the 'Initial State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__FINAL_STATES

          static final int AUTOMATON__FINAL_STATES

      The feature id for the 'Final States' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON__TRAP_STATE

          static final int AUTOMATON__TRAP_STATE

      The feature id for the 'Trap State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON_FEATURE_COUNT

          static final int AUTOMATON_FEATURE_COUNT

      The number of structural features of the 'Automaton' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AUTOMATON_OPERATION_COUNT

          static final int AUTOMATON_OPERATION_COUNT

      The number of operations of the 'Automaton' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN

          static final int EVENT_TOKEN

      The meta object id for the '`Event Token`' class.
      See Also:
        `EventTokenImpl`, `AutomatonPackageImpl.getEventToken()`, Constant Field Values
      Generated:

    - #### EVENT_TOKEN__CURRENT_STATE

          static final int EVENT_TOKEN__CURRENT_STATE

      The feature id for the 'Current State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN__RECORDED_EVENTS

          static final int EVENT_TOKEN__RECORDED_EVENTS

      The feature id for the 'Recorded Events' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN__LAST_PROCESSED

          static final int EVENT_TOKEN__LAST_PROCESSED

      The feature id for the 'Last Processed' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN__TIMED_ZONES

          static final int EVENT_TOKEN__TIMED_ZONES

      The feature id for the 'Timed Zones' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN__PARAMETER_TABLE

          static final int EVENT_TOKEN__PARAMETER_TABLE

      The feature id for the 'Parameter Table' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN_FEATURE_COUNT

          static final int EVENT_TOKEN_FEATURE_COUNT

      The number of structural features of the 'Event Token' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_TOKEN_OPERATION_COUNT

          static final int EVENT_TOKEN_OPERATION_COUNT

      The number of operations of the 'Event Token' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE

          static final int STATE

      The meta object id for the '`State`' class.
      See Also:
        `StateImpl`, `AutomatonPackageImpl.getState()`, Constant Field Values
      Generated:

    - #### STATE__IN_TRANSITIONS

          static final int STATE__IN_TRANSITIONS

      The feature id for the 'In Transitions' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__OUT_TRANSITIONS

          static final int STATE__OUT_TRANSITIONS

      The feature id for the 'Out Transitions' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__LABEL

          static final int STATE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__EVENT_TOKENS

          static final int STATE__EVENT_TOKENS

      The feature id for the 'Event Tokens' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__LAST_PROCESSED_EVENT

          static final int STATE__LAST_PROCESSED_EVENT

      The feature id for the 'Last Processed Event' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__IN_STATE_OF

          static final int STATE__IN_STATE_OF

      The feature id for the 'In State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE__OUT_STATE_OF

          static final int STATE__OUT_STATE_OF

      The feature id for the 'Out State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE_FEATURE_COUNT

          static final int STATE_FEATURE_COUNT

      The number of structural features of the 'State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STATE_OPERATION_COUNT

          static final int STATE_OPERATION_COUNT

      The number of operations of the 'State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE

          static final int INIT_STATE

      The meta object id for the '`Init State`' class.
      See Also:
        `InitStateImpl`, `AutomatonPackageImpl.getInitState()`, Constant Field Values
      Generated:

    - #### INIT_STATE__IN_TRANSITIONS

          static final int INIT_STATE__IN_TRANSITIONS

      The feature id for the 'In Transitions' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__OUT_TRANSITIONS

          static final int INIT_STATE__OUT_TRANSITIONS

      The feature id for the 'Out Transitions' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__LABEL

          static final int INIT_STATE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__EVENT_TOKENS

          static final int INIT_STATE__EVENT_TOKENS

      The feature id for the 'Event Tokens' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__LAST_PROCESSED_EVENT

          static final int INIT_STATE__LAST_PROCESSED_EVENT

      The feature id for the 'Last Processed Event' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__IN_STATE_OF

          static final int INIT_STATE__IN_STATE_OF

      The feature id for the 'In State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE__OUT_STATE_OF

          static final int INIT_STATE__OUT_STATE_OF

      The feature id for the 'Out State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE_FEATURE_COUNT

          static final int INIT_STATE_FEATURE_COUNT

      The number of structural features of the 'Init State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INIT_STATE_OPERATION_COUNT

          static final int INIT_STATE_OPERATION_COUNT

      The number of operations of the 'Init State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE

          static final int FINAL_STATE

      The meta object id for the '`Final State`' class.
      See Also:
        `FinalStateImpl`, `AutomatonPackageImpl.getFinalState()`, Constant Field Values
      Generated:

    - #### FINAL_STATE__IN_TRANSITIONS

          static final int FINAL_STATE__IN_TRANSITIONS

      The feature id for the 'In Transitions' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__OUT_TRANSITIONS

          static final int FINAL_STATE__OUT_TRANSITIONS

      The feature id for the 'Out Transitions' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__LABEL

          static final int FINAL_STATE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__EVENT_TOKENS

          static final int FINAL_STATE__EVENT_TOKENS

      The feature id for the 'Event Tokens' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__LAST_PROCESSED_EVENT

          static final int FINAL_STATE__LAST_PROCESSED_EVENT

      The feature id for the 'Last Processed Event' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__IN_STATE_OF

          static final int FINAL_STATE__IN_STATE_OF

      The feature id for the 'In State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE__OUT_STATE_OF

          static final int FINAL_STATE__OUT_STATE_OF

      The feature id for the 'Out State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE_FEATURE_COUNT

          static final int FINAL_STATE_FEATURE_COUNT

      The number of structural features of the 'Final State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FINAL_STATE_OPERATION_COUNT

          static final int FINAL_STATE_OPERATION_COUNT

      The number of operations of the 'Final State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE

          static final int TRAP_STATE

      The meta object id for the '`Trap State`' class.
      See Also:
        `TrapStateImpl`, `AutomatonPackageImpl.getTrapState()`, Constant Field Values
      Generated:

    - #### TRAP_STATE__IN_TRANSITIONS

          static final int TRAP_STATE__IN_TRANSITIONS

      The feature id for the 'In Transitions' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__OUT_TRANSITIONS

          static final int TRAP_STATE__OUT_TRANSITIONS

      The feature id for the 'Out Transitions' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__LABEL

          static final int TRAP_STATE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__EVENT_TOKENS

          static final int TRAP_STATE__EVENT_TOKENS

      The feature id for the 'Event Tokens' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__LAST_PROCESSED_EVENT

          static final int TRAP_STATE__LAST_PROCESSED_EVENT

      The feature id for the 'Last Processed Event' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__IN_STATE_OF

          static final int TRAP_STATE__IN_STATE_OF

      The feature id for the 'In State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE__OUT_STATE_OF

          static final int TRAP_STATE__OUT_STATE_OF

      The feature id for the 'Out State Of' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE_FEATURE_COUNT

          static final int TRAP_STATE_FEATURE_COUNT

      The number of structural features of the 'Trap State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAP_STATE_OPERATION_COUNT

          static final int TRAP_STATE_OPERATION_COUNT

      The number of operations of the 'Trap State' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITION

          static final int TRANSITION

      The meta object id for the '`Transition`' class.
      See Also:
        `TransitionImpl`, `AutomatonPackageImpl.getTransition()`, Constant Field Values
      Generated:

    - #### TRANSITION__PRE_STATE

          static final int TRANSITION__PRE_STATE

      The feature id for the 'Pre State' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITION__POST_STATE

          static final int TRANSITION__POST_STATE

      The feature id for the 'Post State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITION_FEATURE_COUNT

          static final int TRANSITION_FEATURE_COUNT

      The number of structural features of the 'Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITION_OPERATION_COUNT

          static final int TRANSITION_OPERATION_COUNT

      The number of operations of the 'Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION

          static final int TYPED_TRANSITION

      The meta object id for the '`Typed Transition`' class.
      See Also:
        `TypedTransitionImpl`, `AutomatonPackageImpl.getTypedTransition()`, Constant Field Values
      Generated:

    - #### TYPED_TRANSITION__PRE_STATE

          static final int TYPED_TRANSITION__PRE_STATE

      The feature id for the 'Pre State' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION__POST_STATE

          static final int TYPED_TRANSITION__POST_STATE

      The feature id for the 'Post State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION__GUARDS

          static final int TYPED_TRANSITION__GUARDS

      The feature id for the 'Guards' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION__PARAMETERS

          static final int TYPED_TRANSITION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION_FEATURE_COUNT

          static final int TYPED_TRANSITION_FEATURE_COUNT

      The number of structural features of the 'Typed Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_TRANSITION_OPERATION_COUNT

          static final int TYPED_TRANSITION_OPERATION_COUNT

      The number of operations of the 'Typed Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION

          static final int NEGATIVE_TRANSITION

      The meta object id for the '`Negative Transition`' class.
      See Also:
        `NegativeTransitionImpl`, `AutomatonPackageImpl.getNegativeTransition()`, Constant Field Values
      Generated:

    - #### NEGATIVE_TRANSITION__PRE_STATE

          static final int NEGATIVE_TRANSITION__PRE_STATE

      The feature id for the 'Pre State' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION__POST_STATE

          static final int NEGATIVE_TRANSITION__POST_STATE

      The feature id for the 'Post State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION__GUARDS

          static final int NEGATIVE_TRANSITION__GUARDS

      The feature id for the 'Guards' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION__PARAMETERS

          static final int NEGATIVE_TRANSITION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION_FEATURE_COUNT

          static final int NEGATIVE_TRANSITION_FEATURE_COUNT

      The number of structural features of the 'Negative Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEGATIVE_TRANSITION_OPERATION_COUNT

          static final int NEGATIVE_TRANSITION_OPERATION_COUNT

      The number of operations of the 'Negative Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EPSILON_TRANSITION

          static final int EPSILON_TRANSITION

      The meta object id for the '`Epsilon Transition`' class.
      See Also:
        `EpsilonTransitionImpl`, `AutomatonPackageImpl.getEpsilonTransition()`, Constant Field Values
      Generated:

    - #### EPSILON_TRANSITION__PRE_STATE

          static final int EPSILON_TRANSITION__PRE_STATE

      The feature id for the 'Pre State' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EPSILON_TRANSITION__POST_STATE

          static final int EPSILON_TRANSITION__POST_STATE

      The feature id for the 'Post State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EPSILON_TRANSITION_FEATURE_COUNT

          static final int EPSILON_TRANSITION_FEATURE_COUNT

      The number of structural features of the 'Epsilon Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EPSILON_TRANSITION_OPERATION_COUNT

          static final int EPSILON_TRANSITION_OPERATION_COUNT

      The number of operations of the 'Epsilon Transition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GUARD

          static final int GUARD

      The meta object id for the '`Guard`' class.
      See Also:
        `GuardImpl`, `AutomatonPackageImpl.getGuard()`, Constant Field Values
      Generated:

    - #### GUARD__EVENT_TYPE

          static final int GUARD__EVENT_TYPE

      The feature id for the 'Event Type' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GUARD__TRANSITION

          static final int GUARD__TRANSITION

      The feature id for the 'Transition' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GUARD_FEATURE_COUNT

          static final int GUARD_FEATURE_COUNT

      The number of structural features of the 'Guard' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GUARD_OPERATION_COUNT

          static final int GUARD_OPERATION_COUNT

      The number of operations of the 'Guard' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE

          static final int TIMED_ZONE

      The meta object id for the '`Timed Zone`' class.
      See Also:
        `TimedZoneImpl`, `AutomatonPackageImpl.getTimedZone()`, Constant Field Values
      Generated:

    - #### TIMED_ZONE__IN_STATE

          static final int TIMED_ZONE__IN_STATE

      The feature id for the 'In State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE__OUT_STATE

          static final int TIMED_ZONE__OUT_STATE

      The feature id for the 'Out State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE__TIME

          static final int TIMED_ZONE__TIME

      The feature id for the 'Time' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_FEATURE_COUNT

          static final int TIMED_ZONE_FEATURE_COUNT

      The number of structural features of the 'Timed Zone' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_OPERATION_COUNT

          static final int TIMED_ZONE_OPERATION_COUNT

      The number of operations of the 'Timed Zone' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### WITHIN

          static final int WITHIN

      The meta object id for the '`Within`' class.
      See Also:
        `WithinImpl`, `AutomatonPackageImpl.getWithin()`, Constant Field Values
      Generated:

    - #### WITHIN__IN_STATE

          static final int WITHIN__IN_STATE

      The feature id for the 'In State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### WITHIN__OUT_STATE

          static final int WITHIN__OUT_STATE

      The feature id for the 'Out State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### WITHIN__TIME

          static final int WITHIN__TIME

      The feature id for the 'Time' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### WITHIN_FEATURE_COUNT

          static final int WITHIN_FEATURE_COUNT

      The number of structural features of the 'Within' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### WITHIN_OPERATION_COUNT

          static final int WITHIN_OPERATION_COUNT

      The number of operations of the 'Within' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HOLDS_FOR

          static final int HOLDS_FOR

      The meta object id for the '`Holds For`' class.
      See Also:
        `HoldsForImpl`, `AutomatonPackageImpl.getHoldsFor()`, Constant Field Values
      Generated:

    - #### HOLDS_FOR__IN_STATE

          static final int HOLDS_FOR__IN_STATE

      The feature id for the 'In State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HOLDS_FOR__OUT_STATE

          static final int HOLDS_FOR__OUT_STATE

      The feature id for the 'Out State' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HOLDS_FOR__TIME

          static final int HOLDS_FOR__TIME

      The feature id for the 'Time' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HOLDS_FOR_FEATURE_COUNT

          static final int HOLDS_FOR_FEATURE_COUNT

      The number of structural features of the 'Holds For' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HOLDS_FOR_OPERATION_COUNT

          static final int HOLDS_FOR_OPERATION_COUNT

      The number of operations of the 'Holds For' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER

          static final int PARAMETER

      The meta object id for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `AutomatonPackageImpl.getParameter()`, Constant Field Values
      Generated:

    - #### PARAMETER__POSITION

          static final int PARAMETER__POSITION

      The feature id for the 'Position' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER__SYMBOLIC_NAME

          static final int PARAMETER__SYMBOLIC_NAME

      The feature id for the 'Symbolic Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER__TRANSITION

          static final int PARAMETER__TRANSITION

      The feature id for the 'Transition' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_FEATURE_COUNT

          static final int PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_OPERATION_COUNT

          static final int PARAMETER_OPERATION_COUNT

      The number of operations of the 'Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_TABLE

          static final int PARAMETER_TABLE

      The meta object id for the '`Parameter Table`' class.
      See Also:
        `ParameterTableImpl`, `AutomatonPackageImpl.getParameterTable()`, Constant Field Values
      Generated:

    - #### PARAMETER_TABLE__PARAMETER_BINDINGS

          static final int PARAMETER_TABLE__PARAMETER_BINDINGS

      The feature id for the 'Parameter Bindings' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_TABLE__EVENT_TOKEN

          static final int PARAMETER_TABLE__EVENT_TOKEN

      The feature id for the 'Event Token' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_TABLE_FEATURE_COUNT

          static final int PARAMETER_TABLE_FEATURE_COUNT

      The number of structural features of the 'Parameter Table' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_TABLE_OPERATION_COUNT

          static final int PARAMETER_TABLE_OPERATION_COUNT

      The number of operations of the 'Parameter Table' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_BINDING

          static final int PARAMETER_BINDING

      The meta object id for the '`Parameter Binding`' class.
      See Also:
        `ParameterBindingImpl`, `AutomatonPackageImpl.getParameterBinding()`, Constant Field Values
      Generated:

    - #### PARAMETER_BINDING__SYMBOLIC_NAME

          static final int PARAMETER_BINDING__SYMBOLIC_NAME

      The feature id for the 'Symbolic Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_BINDING__VALUE

          static final int PARAMETER_BINDING__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_BINDING__PARAMETER_TABLE

          static final int PARAMETER_BINDING__PARAMETER_TABLE

      The feature id for the 'Parameter Table' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_BINDING_FEATURE_COUNT

          static final int PARAMETER_BINDING_FEATURE_COUNT

      The number of structural features of the 'Parameter Binding' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_BINDING_OPERATION_COUNT

          static final int PARAMETER_BINDING_OPERATION_COUNT

      The number of operations of the 'Parameter Binding' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_CONTEXT

          static final int EVENT_CONTEXT

      The meta object id for the '`Event Context`' enum.
      See Also:
        `EventContext`, `AutomatonPackageImpl.getEventContext()`, Constant Field Values
      Generated:

  - ### Method Detail

    - #### getInternalModel

          org.eclipse.emf.ecore.EClass getInternalModel()

      Returns the meta object for class '`Internal Model`'.
      Returns:
        the meta object for class 'Internal Model'.
      See Also:
        `InternalModel`
      Generated:

    - #### getInternalModel_Automata

          org.eclipse.emf.ecore.EReference getInternalModel_Automata()

      Returns the meta object for the containment reference list '`Automata`'.
      Returns:
        the meta object for the containment reference list 'Automata'.
      See Also:
        `InternalModel.getAutomata()`, `getInternalModel()`
      Generated:

    - #### getInternalModel_LatestEvent

          org.eclipse.emf.ecore.EReference getInternalModel_LatestEvent()

      Returns the meta object for the containment reference '`Latest Event`'.
      Returns:
        the meta object for the containment reference 'Latest Event'.
      See Also:
        `InternalModel.getLatestEvent()`, `getInternalModel()`
      Generated:

    - #### getInternalModel_EnabledForTheLatestEvent

          org.eclipse.emf.ecore.EReference getInternalModel_EnabledForTheLatestEvent()

      Returns the meta object for the reference list '`Enabled For The Latest Event`'.
      Returns:
        the meta object for the reference list 'Enabled For The Latest Event'.
      See Also:
        `InternalModel.getEnabledForTheLatestEvent()`, `getInternalModel()`
      Generated:

    - #### getInternalModel_EventTokensInModel

          org.eclipse.emf.ecore.EReference getInternalModel_EventTokensInModel()

      Returns the meta object for the reference list '`Event Tokens In Model`'.
      Returns:
        the meta object for the reference list 'Event Tokens In Model'.
      See Also:
        `InternalModel.getEventTokensInModel()`, `getInternalModel()`
      Generated:

    - #### getAutomaton

          org.eclipse.emf.ecore.EClass getAutomaton()

      Returns the meta object for class '`Automaton`'.
      Returns:
        the meta object for class 'Automaton'.
      See Also:
        `Automaton`
      Generated:

    - #### getAutomaton_States

          org.eclipse.emf.ecore.EReference getAutomaton_States()

      Returns the meta object for the containment reference list '`States`'.
      Returns:
        the meta object for the containment reference list 'States'.
      See Also:
        `Automaton.getStates()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_EventPatternId

          org.eclipse.emf.ecore.EAttribute getAutomaton_EventPatternId()

      Returns the meta object for the attribute '`Event Pattern Id`'.
      Returns:
        the meta object for the attribute 'Event Pattern Id'.
      See Also:
        `Automaton.getEventPatternId()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_EventTokens

          org.eclipse.emf.ecore.EReference getAutomaton_EventTokens()

      Returns the meta object for the containment reference list '`Event Tokens`'.
      Returns:
        the meta object for the containment reference list 'Event Tokens'.
      See Also:
        `Automaton.getEventTokens()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_TimedZones

          org.eclipse.emf.ecore.EReference getAutomaton_TimedZones()

      Returns the meta object for the containment reference list '`Timed Zones`'.
      Returns:
        the meta object for the containment reference list 'Timed Zones'.
      See Also:
        `Automaton.getTimedZones()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_InitialState

          org.eclipse.emf.ecore.EReference getAutomaton_InitialState()

      Returns the meta object for the reference '`Initial State`'.
      Returns:
        the meta object for the reference 'Initial State'.
      See Also:
        `Automaton.getInitialState()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_FinalStates

          org.eclipse.emf.ecore.EReference getAutomaton_FinalStates()

      Returns the meta object for the reference list '`Final States`'.
      Returns:
        the meta object for the reference list 'Final States'.
      See Also:
        `Automaton.getFinalStates()`, `getAutomaton()`
      Generated:

    - #### getAutomaton_TrapState

          org.eclipse.emf.ecore.EReference getAutomaton_TrapState()

      Returns the meta object for the reference '`Trap State`'.
      Returns:
        the meta object for the reference 'Trap State'.
      See Also:
        `Automaton.getTrapState()`, `getAutomaton()`
      Generated:

    - #### getEventToken

          org.eclipse.emf.ecore.EClass getEventToken()

      Returns the meta object for class '`Event Token`'.
      Returns:
        the meta object for class 'Event Token'.
      See Also:
        `EventToken`
      Generated:

    - #### getEventToken_CurrentState

          org.eclipse.emf.ecore.EReference getEventToken_CurrentState()

      Returns the meta object for the reference '`Current State`'.
      Returns:
        the meta object for the reference 'Current State'.
      See Also:
        `EventToken.getCurrentState()`, `getEventToken()`
      Generated:

    - #### getEventToken_RecordedEvents

          org.eclipse.emf.ecore.EReference getEventToken_RecordedEvents()

      Returns the meta object for the reference list '`Recorded Events`'.
      Returns:
        the meta object for the reference list 'Recorded Events'.
      See Also:
        `EventToken.getRecordedEvents()`, `getEventToken()`
      Generated:

    - #### getEventToken_LastProcessed

          org.eclipse.emf.ecore.EReference getEventToken_LastProcessed()

      Returns the meta object for the reference '`Last Processed`'.
      Returns:
        the meta object for the reference 'Last Processed'.
      See Also:
        `EventToken.getLastProcessed()`, `getEventToken()`
      Generated:

    - #### getEventToken_TimedZones

          org.eclipse.emf.ecore.EReference getEventToken_TimedZones()

      Returns the meta object for the reference list '`Timed Zones`'.
      Returns:
        the meta object for the reference list 'Timed Zones'.
      See Also:
        `EventToken.getTimedZones()`, `getEventToken()`
      Generated:

    - #### getEventToken_ParameterTable

          org.eclipse.emf.ecore.EReference getEventToken_ParameterTable()

      Returns the meta object for the containment reference '`Parameter Table`'.
      Returns:
        the meta object for the containment reference 'Parameter Table'.
      See Also:
        `EventToken.getParameterTable()`, `getEventToken()`
      Generated:

    - #### getState

          org.eclipse.emf.ecore.EClass getState()

      Returns the meta object for class '`State`'.
      Returns:
        the meta object for class 'State'.
      See Also:
        `State`
      Generated:

    - #### getState_InTransitions

          org.eclipse.emf.ecore.EReference getState_InTransitions()

      Returns the meta object for the reference list '`In Transitions`'.
      Returns:
        the meta object for the reference list 'In Transitions'.
      See Also:
        `State.getInTransitions()`, `getState()`
      Generated:

    - #### getState_OutTransitions

          org.eclipse.emf.ecore.EReference getState_OutTransitions()

      Returns the meta object for the containment reference list '`Out Transitions`'.
      Returns:
        the meta object for the containment reference list 'Out Transitions'.
      See Also:
        `State.getOutTransitions()`, `getState()`
      Generated:

    - #### getState_Label

          org.eclipse.emf.ecore.EAttribute getState_Label()

      Returns the meta object for the attribute '`Label`'.
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `State.getLabel()`, `getState()`
      Generated:

    - #### getState_EventTokens

          org.eclipse.emf.ecore.EReference getState_EventTokens()

      Returns the meta object for the reference list '`Event Tokens`'.
      Returns:
        the meta object for the reference list 'Event Tokens'.
      See Also:
        `State.getEventTokens()`, `getState()`
      Generated:

    - #### getState_LastProcessedEvent

          org.eclipse.emf.ecore.EReference getState_LastProcessedEvent()

      Returns the meta object for the reference '`Last Processed Event`'.
      Returns:
        the meta object for the reference 'Last Processed Event'.
      See Also:
        `State.getLastProcessedEvent()`, `getState()`
      Generated:

    - #### getState_InStateOf

          org.eclipse.emf.ecore.EReference getState_InStateOf()

      Returns the meta object for the reference list '`In State Of`'.
      Returns:
        the meta object for the reference list 'In State Of'.
      See Also:
        `State.getInStateOf()`, `getState()`
      Generated:

    - #### getState_OutStateOf

          org.eclipse.emf.ecore.EReference getState_OutStateOf()

      Returns the meta object for the reference list '`Out State Of`'.
      Returns:
        the meta object for the reference list 'Out State Of'.
      See Also:
        `State.getOutStateOf()`, `getState()`
      Generated:

    - #### getInitState

          org.eclipse.emf.ecore.EClass getInitState()

      Returns the meta object for class '`Init State`'.
      Returns:
        the meta object for class 'Init State'.
      See Also:
        `InitState`
      Generated:

    - #### getFinalState

          org.eclipse.emf.ecore.EClass getFinalState()

      Returns the meta object for class '`Final State`'.
      Returns:
        the meta object for class 'Final State'.
      See Also:
        `FinalState`
      Generated:

    - #### getTrapState

          org.eclipse.emf.ecore.EClass getTrapState()

      Returns the meta object for class '`Trap State`'.
      Returns:
        the meta object for class 'Trap State'.
      See Also:
        `TrapState`
      Generated:

    - #### getTransition

          org.eclipse.emf.ecore.EClass getTransition()

      Returns the meta object for class '`Transition`'.
      Returns:
        the meta object for class 'Transition'.
      See Also:
        `Transition`
      Generated:

    - #### getTransition_PreState

          org.eclipse.emf.ecore.EReference getTransition_PreState()

      Returns the meta object for the container reference '`Pre State`'.
      Returns:
        the meta object for the container reference 'Pre State'.
      See Also:
        `Transition.getPreState()`, `getTransition()`
      Generated:

    - #### getTransition_PostState

          org.eclipse.emf.ecore.EReference getTransition_PostState()

      Returns the meta object for the reference '`Post State`'.
      Returns:
        the meta object for the reference 'Post State'.
      See Also:
        `Transition.getPostState()`, `getTransition()`
      Generated:

    - #### getTypedTransition

          org.eclipse.emf.ecore.EClass getTypedTransition()

      Returns the meta object for class '`Typed Transition`'.
      Returns:
        the meta object for class 'Typed Transition'.
      See Also:
        `TypedTransition`
      Generated:

    - #### getTypedTransition_Guards

          org.eclipse.emf.ecore.EReference getTypedTransition_Guards()

      Returns the meta object for the containment reference list '`Guards`'.
      Returns:
        the meta object for the containment reference list 'Guards'.
      See Also:
        `TypedTransition.getGuards()`, `getTypedTransition()`
      Generated:

    - #### getTypedTransition_Parameters

          org.eclipse.emf.ecore.EReference getTypedTransition_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TypedTransition.getParameters()`, `getTypedTransition()`
      Generated:

    - #### getNegativeTransition

          org.eclipse.emf.ecore.EClass getNegativeTransition()

      Returns the meta object for class '`Negative Transition`'.
      Returns:
        the meta object for class 'Negative Transition'.
      See Also:
        `NegativeTransition`
      Generated:

    - #### getEpsilonTransition

          org.eclipse.emf.ecore.EClass getEpsilonTransition()

      Returns the meta object for class '`Epsilon Transition`'.
      Returns:
        the meta object for class 'Epsilon Transition'.
      See Also:
        `EpsilonTransition`
      Generated:

    - #### getGuard

          org.eclipse.emf.ecore.EClass getGuard()

      Returns the meta object for class '`Guard`'.
      Returns:
        the meta object for class 'Guard'.
      See Also:
        `Guard`
      Generated:

    - #### getGuard_EventType

          org.eclipse.emf.ecore.EReference getGuard_EventType()

      Returns the meta object for the reference '`Event Type`'.
      Returns:
        the meta object for the reference 'Event Type'.
      See Also:
        `Guard.getEventType()`, `getGuard()`
      Generated:

    - #### getGuard_Transition

          org.eclipse.emf.ecore.EReference getGuard_Transition()

      Returns the meta object for the container reference '`Transition`'.
      Returns:
        the meta object for the container reference 'Transition'.
      See Also:
        `Guard.getTransition()`, `getGuard()`
      Generated:

    - #### getTimedZone

          org.eclipse.emf.ecore.EClass getTimedZone()

      Returns the meta object for class '`Timed Zone`'.
      Returns:
        the meta object for class 'Timed Zone'.
      See Also:
        `TimedZone`
      Generated:

    - #### getTimedZone_InState

          org.eclipse.emf.ecore.EReference getTimedZone_InState()

      Returns the meta object for the reference '`In State`'.
      Returns:
        the meta object for the reference 'In State'.
      See Also:
        `TimedZone.getInState()`, `getTimedZone()`
      Generated:

    - #### getTimedZone_OutState

          org.eclipse.emf.ecore.EReference getTimedZone_OutState()

      Returns the meta object for the reference '`Out State`'.
      Returns:
        the meta object for the reference 'Out State'.
      See Also:
        `TimedZone.getOutState()`, `getTimedZone()`
      Generated:

    - #### getTimedZone_Time

          org.eclipse.emf.ecore.EAttribute getTimedZone_Time()

      Returns the meta object for the attribute '`Time`'.
      Returns:
        the meta object for the attribute 'Time'.
      See Also:
        `TimedZone.getTime()`, `getTimedZone()`
      Generated:

    - #### getWithin

          org.eclipse.emf.ecore.EClass getWithin()

      Returns the meta object for class '`Within`'.
      Returns:
        the meta object for class 'Within'.
      See Also:
        `Within`
      Generated:

    - #### getHoldsFor

          org.eclipse.emf.ecore.EClass getHoldsFor()

      Returns the meta object for class '`Holds For`'.
      Returns:
        the meta object for class 'Holds For'.
      See Also:
        `HoldsFor`
      Generated:

    - #### getParameter

          org.eclipse.emf.ecore.EClass getParameter()

      Returns the meta object for class '`Parameter`'.
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`
      Generated:

    - #### getParameter_Position

          org.eclipse.emf.ecore.EAttribute getParameter_Position()

      Returns the meta object for the attribute '`Position`'.
      Returns:
        the meta object for the attribute 'Position'.
      See Also:
        `Parameter.getPosition()`, `getParameter()`
      Generated:

    - #### getParameter_SymbolicName

          org.eclipse.emf.ecore.EAttribute getParameter_SymbolicName()

      Returns the meta object for the attribute '`Symbolic Name`'.
      Returns:
        the meta object for the attribute 'Symbolic Name'.
      See Also:
        `Parameter.getSymbolicName()`, `getParameter()`
      Generated:

    - #### getParameter_Transition

          org.eclipse.emf.ecore.EReference getParameter_Transition()

      Returns the meta object for the container reference '`Transition`'.
      Returns:
        the meta object for the container reference 'Transition'.
      See Also:
        `Parameter.getTransition()`, `getParameter()`
      Generated:

    - #### getParameterTable

          org.eclipse.emf.ecore.EClass getParameterTable()

      Returns the meta object for class '`Parameter Table`'.
      Returns:
        the meta object for class 'Parameter Table'.
      See Also:
        `ParameterTable`
      Generated:

    - #### getParameterTable_ParameterBindings

          org.eclipse.emf.ecore.EReference getParameterTable_ParameterBindings()

      Returns the meta object for the containment reference list '`Parameter Bindings`'.
      Returns:
        the meta object for the containment reference list 'Parameter Bindings'.
      See Also:
        `ParameterTable.getParameterBindings()`, `getParameterTable()`
      Generated:

    - #### getParameterTable_EventToken

          org.eclipse.emf.ecore.EReference getParameterTable_EventToken()

      Returns the meta object for the container reference '`Event Token`'.
      Returns:
        the meta object for the container reference 'Event Token'.
      See Also:
        `ParameterTable.getEventToken()`, `getParameterTable()`
      Generated:

    - #### getParameterBinding

          org.eclipse.emf.ecore.EClass getParameterBinding()

      Returns the meta object for class '`Parameter Binding`'.
      Returns:
        the meta object for class 'Parameter Binding'.
      See Also:
        `ParameterBinding`
      Generated:

    - #### getParameterBinding_SymbolicName

          org.eclipse.emf.ecore.EAttribute getParameterBinding_SymbolicName()

      Returns the meta object for the attribute '`Symbolic Name`'.
      Returns:
        the meta object for the attribute 'Symbolic Name'.
      See Also:
        `ParameterBinding.getSymbolicName()`, `getParameterBinding()`
      Generated:

    - #### getParameterBinding_Value

          org.eclipse.emf.ecore.EAttribute getParameterBinding_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `ParameterBinding.getValue()`, `getParameterBinding()`
      Generated:

    - #### getParameterBinding_ParameterTable

          org.eclipse.emf.ecore.EReference getParameterBinding_ParameterTable()

      Returns the meta object for the container reference '`Parameter Table`'.
      Returns:
        the meta object for the container reference 'Parameter Table'.
      See Also:
        `ParameterBinding.getParameterTable()`, `getParameterBinding()`
      Generated:

    - #### getEventContext

          org.eclipse.emf.ecore.EEnum getEventContext()

      Returns the meta object for enum '`Event Context`'.
      Returns:
        the meta object for enum 'Event Context'.
      See Also:
        `EventContext`
      Generated:

    - #### getAutomatonFactory

          AutomatonFactory getAutomatonFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: